> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List usage metrics

> Usage `metricId` values (and units) accepted by `usage` series.



## OpenAPI

````yaml /api-reference/openapi.json get /queries/usage-metrics
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /queries/usage-metrics:
    get:
      tags:
        - Query Costs
      summary: List usage metrics
      description: Usage `metricId` values (and units) accepted by `usage` series.
      operationId: listQueryUsageMetrics
      responses:
        '200':
          description: Usage metrics available to the authenticated organization
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsageMetric'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '500':
          description: Unexpected server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    UsageMetric:
      type: object
      properties:
        consumed_unit:
          type: string
        service_names:
          type: array
          items:
            type: string
      required:
        - consumed_unit
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
    InternalServerError:
      type: object
      properties:
        error:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
      required:
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````